<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Serializable Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classSerializable-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Serializable Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Serializable:</div>
<div class="dyncontent">
<div class="center"><img src="classSerializable__inherit__graph.png" border="0" usemap="#aSerializable_inherit__map" alt="Inheritance graph"/></div>
<map name="aSerializable_inherit__map" id="aSerializable_inherit__map">
<area shape="rect" title=" " alt="" coords="401,5,500,32"/>
<area shape="rect" href="classActionCard.html" title=" " alt="" coords="5,80,99,107"/>
<area shape="rect" href="classDeck.html" title=" " alt="" coords="123,80,178,107"/>
<area shape="rect" href="classGame.html" title=" " alt="" coords="203,80,264,107"/>
<area shape="rect" href="classHand.html" title=" " alt="" coords="288,80,344,107"/>
<area shape="rect" href="classPlayer.html" title=" " alt="" coords="369,80,431,107"/>
<area shape="rect" href="classRoundCard.html" title=" " alt="" coords="456,80,549,107"/>
<area shape="rect" href="classRoundCardDeck.html" title=" " alt="" coords="574,80,701,107"/>
<area shape="rect" href="classTrain.html" title=" " alt="" coords="725,80,779,107"/>
<area shape="rect" href="classTreasure.html" title=" " alt="" coords="803,80,880,107"/>
<area shape="rect" href="classWagon.html" title=" " alt="" coords="904,80,971,107"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a31ba5de4f9fc89876ecc757e4a302062"><td class="memItemLeft" align="right" valign="top"><a id="a31ba5de4f9fc89876ecc757e4a302062"></a>
virtual QVariant&#160;</td><td class="memItemRight" valign="bottom"><b>toVariant</b> () const =0</td></tr>
<tr class="separator:a31ba5de4f9fc89876ecc757e4a302062"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1e7714fe2132e1b68e68761e60ba706"><td class="memItemLeft" align="right" valign="top"><a id="ad1e7714fe2132e1b68e68761e60ba706"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>fromVariant</b> (const QVariant &amp;variant)=0</td></tr>
<tr class="separator:ad1e7714fe2132e1b68e68761e60ba706"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/<a class="el" href="serializable_8h_source.html">serializable.h</a></li>
<li>src/serializable.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
